<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@mipmap/bg_new_main">

    <com.naz.sdkdemo.weight.TitleBar
        android:id="@id/title_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <LinearLayout
        android:id="@+id/ll_desc"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title_view"
        android:background="@mipmap/bg_white_round_background"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="16dp"
        android:gravity="center_vertical"
        android:orientation="vertical"
        >

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@mipmap/icon_red_flag"
            android:text="补标"
            android:textColor="#ff333333"
            android:textSize="22sp"
            android:drawablePadding="12dp"/>
        <View
            android:id="@+id/split_view"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#E9E9E9"
            android:layout_marginTop="16dp"/>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="16dp"
            android:paddingVertical="18dp">
            <TextView
                android:id="@+id/tv_lbl_order_id"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="销售订单号："
                android:textColor="#ff666666"
                android:textSize="16sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                />

            <TextView
                android:id="@+id/tv_order_id"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="SO202309100061"
                android:textColor="#ff333333"
                android:textSize="16sp"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_lbl_order_id"/>

            <TextView
                android:id="@+id/tv_lbl_dealer_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="经销商名称："
                android:textColor="#ff666666"
                android:textSize="16sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_lbl_order_id"
                android:layout_marginTop="10dp"/>

            <TextView
                android:id="@+id/tv_dealer_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="广东省佛山市禅城区饶吉亮"
                android:textColor="#ff333333"
                android:textSize="16sp"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_lbl_dealer_name"/>

            <TextView
                android:id="@+id/tv_lbl_customer_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="客户名称："
                android:textColor="#ff666666"
                android:textSize="16sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_lbl_dealer_name"
                android:layout_marginTop="10dp"/>

            <TextView
                android:id="@+id/tv_customer_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="佛山市中福新材料科技有限公司"
                android:textColor="#ff333333"
                android:textSize="16sp"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_lbl_customer_name"/>

        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:layout_marginBottom="31dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_desc"
        app:layout_constraintBottom_toTopOf="@+id/btn_cancel"
        android:layout_marginHorizontal="16dp"
        >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <include layout="@layout/layout_search"
                android:layout_width="match_parent"
                android:layout_height="52dp"
                android:visibility="gone"/>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_content"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="12dp"/>

        </LinearLayout>

    </LinearLayout>

    <Button
        android:id="@+id/btn_cancel"
        android:layout_width="0dp"
        android:layout_height="54dp"
        android:background="@drawable/bg_button_bg1"
        android:text="取消"
        android:textColor="#ffe6212a"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/btn_sure"
        />

    <Button
        android:id="@+id/btn_sure"
        android:layout_width="0dp"
        android:layout_height="54dp"
        android:background="@drawable/bg_button_bg2"
        android:text="补标"
        android:textColor="#ffffffff"
        android:textSize="18sp"
        app:layout_constraintTop_toTopOf="@id/btn_cancel"
        app:layout_constraintLeft_toRightOf="@+id/btn_cancel"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintHorizontal_chainStyle="packed"/>
</androidx.constraintlayout.widget.ConstraintLayout>